Subject: Re: reorganizing package descriptions

From: Ian Jackson <[email-masked]>
Date: Mon, 1 Jul 96 04:48 BST

Erick Branderhorst writes ("reorganizing package descriptions"):
...
> This isn't a short term issue, but we need to think about this.
> Internationalization. All gnu packages are slowly moving towards using
> gettext and po files with translations in it.
> 
> The description information in debian packages is very english right now 
> and I think it would be good to think about some method to provide 
> descriptions in other languages as well. I think we should follow
> some kind of similar approach as being done with the gnu packages. 

Err, do you know how the descriptions are currently handled ?

> The binaries contain the english description, if another language is
> requested, a lookup for this language should be done in some /usr/share
> directory and if an appropriate file with the translated description is
> found it should be displayed.

Huh ?  This will never work.  The English descriptions will keep
changing and you'll have to edit this huge database all the time.

I think that the right way to do this is to provide replacement
descriptions files or perhaps even replacement Packages files for
different languages.

I don't know how to go about displaying non-ISO-LATIN-1 characters in
dselect, so for the moment you'll have to make do with that.

Ian.